## mistral 5.2.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.10 # MIT
aodhclient>=0.7.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=1.1.0 # MIT License
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
gnocchiclient>=2.7.0 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
mistral-lib>=0.2.0 # Apache-2.0
networkx>=1.10 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.1.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-glareclient>=0.3.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
python-magnumclient>=2.0.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
PyJWT>=1.0.1 # MIT
PyYAML>=3.10.0 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8 # MIT
yaql>=1.1.0 # Apache 2.0 License
tooz>=1.47.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== debian/changelog ===
mistral (5.2.2-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/mistral-event-engine.init.in: Update init script template to
    provide mistral-event-engine service rather than mistral-engine
    which conflicted with mistral-engine.init.in (LP: #1757433).
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:22:48 -0400

=== debian/control ===
Source: mistral
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools (>= 16.0),
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cachetools (>= 1.1.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:3.1.0),
                     python-coverage (>= 4.0),
                     python-croniter (>= 0.3.4),
                     python-designateclient (>= 1.5.0),
                     python-docutils,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.8.0),
                     python-glareclient (>= 0.3.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.14.0),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-jwt (>= 1.0.1),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-magnumclient (>= 2.0.0),
                     python-mistralclient (>= 1:3.1.0),
                     python-mistral-lib (>= 0.2.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-networkx (>= 1.10),
                     python-neutronclient (>= 1:6.3.0),
                     python-nose,
                     python-novaclient (>= 2:9.0.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 1:2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-ironic-inspector-client (>= 1.5.0),
                     python-tackerclient (>= 0.8.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest (>= 1:16.1.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-troveclient (>= 1:2.2.0),
                     python-unittest2,
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.10.0),
                     python-yaql (>= 1.1.0),
                     python-zake (>= 0.1.6),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/stackforge/mistral
XS-Testsuite: autopkgtest

Package: python-mistral
Section: python
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-aodhclient (>= 0.7.0),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-cachetools (>= 1.1.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:3.1.0),
         python-croniter (>= 0.3.4),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.8.0),
         python-glareclient (>= 0.3.0),
         python-gnocchiclient (>= 2.7.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.14.0),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-jwt (>= 1.0.1),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-magnumclient (>= 2.0.0),
         python-mistralclient (>= 1:3.1.0),
         python-mock (>= 2.0),
         python-muranoclient (>= 0.8.2),
         python-networkx (>= 1.10),
         python-neutronclient (>= 1:6.3.0),
         python-novaclient (>= 2:9.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 1:2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-ironic-inspector-client (>= 1.5.0),
         python-tackerclient (>= 0.8.0),
         python-requests (>= 2.14.2),
         python-senlinclient (>= 1.1.0),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-swiftclient (>= 1:3.2.0),
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.47.0),
         python-troveclient (>= 1:2.2.0),
         python-wsme (>= 0.8),
         python-yaml (>= 3.10.0),
         python-yaql (>= 1.1.0),
         python-zake (>= 0.1.6),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

Package: mistral-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-mistral (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-executor
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: mistral-event-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-api
Architecture: all
Depends: adduser,
         debconf,
         mistral-common (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},

## mistral 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.10 # MIT
aodhclient>=0.9.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
gnocchiclient>=3.3.1 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
mistral-lib>=0.3.0 # Apache-2.0
networkx<2.0,>=1.10 # BSD
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-glareclient>=0.3.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
python-magnumclient>=2.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient>=2.2.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
PyJWT>=1.0.1 # MIT
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== debian/changelog ===
mistral (6.0.0-0ubuntu1.1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/mistral-event-engine.init.in: Update init script template to
    provide mistral-event-engine service rather than mistral-engine
    which conflicted with mistral-engine.init.in (LP: #1757433).

  [ Thomas Goirand ]
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Mar 2018 10:12:49 -0400

mistral (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:04:26 -0500

mistral (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:08:45 -0500

mistral (6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 14:08:20 -0500

mistral (6.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:37:13 +0000

mistral (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 13:47:38 -0500

=== debian/control ===
Source: mistral
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 16.0),
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cachetools (>= 2.0.0),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-croniter (>= 0.3.4),
 python-designateclient (>= 2.7.0),
 python-docutils,
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-glareclient (>= 0.3.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-ironic-inspector-client (>= 1.5.0),
 python-ironicclient (>= 2.2.0),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-jwt (>= 1.0.1),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-magnumclient (>= 2.1.0),
 python-mistral-lib (>= 0.3.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-muranoclient (>= 0.8.2),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-nose,
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-pep8,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-senlinclient (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sphinxcontrib-pecanwsme (>= 0.8.0),
 python-sphinxcontrib.httpdomain (>= 1.3.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tackerclient (>= 0.8.0),
 python-tempest (>= 1:17.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-troveclient (>= 1:2.2.0),
 python-unittest2,
 python-wsme (>= 0.8.0),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.3),
 python-zake (>= 0.1.6),
 python-zaqarclient (>= 1.0.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/stackforge/mistral
XS-Testsuite: autopkgtest

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python-mistral
Section: python
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cachetools (>= 2.0.0),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter (>= 0.3.4),
 python-designateclient (>= 2.7.0),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-glareclient (>= 0.3.0),
 python-gnocchiclient (>= 3.3.1),
 python-heatclient (>= 1.10.0),
 python-ironic-inspector-client (>= 1.5.0),
 python-ironicclient (>= 2.2.0),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-jwt (>= 1.0.1),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-magnumclient (>= 2.1.0),
 python-mistral-lib (>= 0.3.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-muranoclient (>= 0.8.2),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-pymysql,
 python-requests (>= 2.14.2),
 python-senlinclient (>= 1.1.0),
 python-setuptools (>= 16.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tackerclient (>= 0.8.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.58.0),
 python-troveclient (>= 1:2.2.0),
 python-wsme (>= 0.8.0),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.3),
 python-zake (>= 0.1.6),
 python-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P || true
endif

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

override_dh_install:
	dh_install --fail-missing
	# As usual, pbr is missing the alembic.ini
	cp mistral/db/sqlalchemy/migration/alembic.ini $(CURDIR)/debian/python-mistral/usr/lib/python2.7/dist-packages/mistral/db/sqlalchemy/migration/
	cp mistral/actions/openstack/mapping.json $(CURDIR)/debian/python-mistral/usr/lib/python2.7/dist-packages/mistral/actions/openstack/
	cp -r mistral/resources $(CURDIR)/debian/python-mistral/usr/lib/python2.7/dist-packages/mistral/

=== debian/tests/control ===
Tests: python-mistral mistral-daemons
Depends: python-mistral, mistral-common, mistral-engine, mistral-executor,
 mistral-api
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/mistral/ mistral-(6\.\d.*)\.tar\.gz
